Skip to navigation
API ReferenceVoice APIs ArchiveAudio Enhancement

Get audio enhancement

Poll this endpoint to check the status of an enhancement job and retrieve the download URL when complete.

Authentication

AuthorizationBearer

Path parameters

enhancement_uuidstringRequired
The UUID returned from the create endpoint.

Response

Enhancement details
successbooleanOptional
uuidstringOptional
statusenumOptional
Allowed values:
enhanced_audio_urlstring or nullOptionalformat: "uri"
Download URL. Only present when status is completed. This is a temporary signed URL.
error_messagestring or nullOptional

Human-readable error. Only present when status is failed.

Errors

404
Not Found Error